Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

List Work Order Lists GETTrigger Smart Dispatch POSTDelete Work Order DELETEGet Work Order Details GETUpdate Work Order PUTList Work Orders GETCreate Work Order POST

Resources

BasicsCore operations

Trigger Smart Dispatch


This endpoint allows you to trigger smart dispatch process for one or more workorders.

POST
/api/rest/v2/workorders/smart-dispatch

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Request Body

application/json

Workorder list for smart dispatch

workOrders*array<>

List of work orders to trigger dispatch

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/smart-dispatch" \  -H "Content-Type: application/json" \  -d '{    "workOrders": [      {        "id": 100500      },      {        "id": 100501      }    ]  }'
{
  "work_orders": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "message": "Operation successful.",
  "errorReference": "string_value",
  "extra": [],
  "note": "string_value"
}

Response Body

application/json

application/json

application/json

Last updated on

List Work Order Lists GET

Previous Page

Delete Work Order DELETE

Next Page

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/smart-dispatch" \
  -H "Content-Type: application/json" \
  -d '{
    "workOrders": [
      {
        "id": 100500
      },
      {
        "id": 100501
      }
    ]
  }'